Page MenuHomePhabricator

service IP can't be switched over
Closed, ResolvedPublic

Description

In our mailman meeting today Faidon pointed out the service IP can't be just switched over since sodium is not in the same rack with ganeti machines

Details

Related Gerrit Patches:
operations/puppet : productionfermium: override role default IPs

Event Timeline

Dzahn created this task.Aug 5 2015, 6:37 PM
Dzahn raised the priority of this task from to High.
Dzahn updated the task description. (Show Details)
Dzahn added subscribers: MZMcBride, Dzahn, faidon and 4 others.

This is legacy from lily which @mark handled in the last migration. Looks like we could assign a new IP for lists. It's used as a secondary on the server for lists web and exim and the DNS SPF records for lists.

If we track current usage, a new one should be fine to allocate unless I'm missing something.

need new service IPs in public1-eqiad-c

then https://gerrit.wikimedia.org/r/#/c/230240/1 can be adjusted later

Change 230240 had a related patch set uploaded (by Dzahn):
fermium: override role default IPs

https://gerrit.wikimedia.org/r/230240

Looking at usage; it's sparse so we can easily add a new IP via hiera alone once the autobound{lists} variables in role::lists are in hiera.

Dzahn added a comment.Aug 19 2015, 1:04 AM

can we start here by picking an IP (both v4 and v6) to be used in the new network? just allocate one for now would be a step forward

RobH added a comment.Aug 19 2015, 6:36 PM

You cannot just use a service ip from public1-eqiad-c.... Until ganeti vm's have a public subnet for use, this seems blocked.

From the VM creation task and Alex comments there - my understanding is Ganeti is just using the public subnet for eqiad c1 and no specific subnet beyond that.

Dzahn added a comment.Aug 19 2015, 6:51 PM

the comment above refers to T108065#1513988

RobH added a comment.Aug 19 2015, 6:53 PM

oh, then yea just allocate one out of that subnet... and setting the proper vlan id's in creation.

Change 230240 abandoned by John F. Lewis:
fermium: override role default IPs

Reason:
outdated to a significant point. producing new patch is easier.

https://gerrit.wikimedia.org/r/230240

Dzahn closed this task as Resolved.Aug 25 2015, 12:25 AM
Dzahn claimed this task.